classification
Title: correct int / long object type casts
Type: compile error Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: JosephArmbruster, jyasskin
Priority: normal Keywords: patch

Created on 2008-03-16 23:18 by JosephArmbruster, last changed 2008-03-18 01:10 by jyasskin. This issue is now closed.

Files
File name Uploaded Description Edit
longobject.patch JosephArmbruster, 2008-03-16 23:18
intobject.patch JosephArmbruster, 2008-03-16 23:26
Messages (3)
msg63607 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2008-03-16 23:18
longobject.c has a type cast that should be different to take
HAVE_UINTPTR_T into account.

ps: noticed this as i'm merging trunk -> PythonCE to get this working on
my new cellphone, the Wing!
msg63608 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2008-03-16 23:26
it looks like this may also be the case in intobject
msg63837 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2008-03-18 01:10
Thanks! Fixed in r61472.
History
Date User Action Args
2008-03-18 01:10:22jyasskinsetstatus: open -> closed
resolution: accepted
messages: + msg63837
2008-03-17 19:35:21JosephArmbrustersettype: compile error
2008-03-16 23:26:43JosephArmbrustersetfiles: + intobject.patch
messages: + msg63608
title: correct longobject.c type cast -> correct int / long object type casts
2008-03-16 23:18:21JosephArmbrustercreate